Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.util
Class FacetAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.gmt.modisco.infra.facet.util.FacetAdapterFactory

Direct Known Subclasses:
  FacetItemProviderAdapterFactory

    public class FacetAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `FacetPackage`

Constructor Summary
`FacetAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`Adapter` | `createAdapter(Notifier target)` Creates an adapter for the `target`.
`Adapter` | `createEAttributeAdapter()` Creates a new adapter for an object of class '`EAttribute`'.
`Adapter` | `createEClassAdapter()` Creates a new adapter for an object of class '`EClass`'.
`Adapter` | `createEClassifierAdapter()` Creates a new adapter for an object of class '`EClassifier`'.
`Adapter` | `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`Adapter` | `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`Adapter` | `createEPackageAdapter()` Creates a new adapter for an object of class '`EPackage`'.
`Adapter` | `createEReferenceAdapter()` Creates a new adapter for an object of class '`EReference`'.
`Adapter` | `createEStructuralFeatureAdapter()` Creates a new adapter for an object of class '`EStructural Feature`'.
`Adapter` | `createETypedElementAdapter()` Creates a new adapter for an object of class '`ETyped Element`'.
`Adapter` | `createFacetAdapter()` Creates a new adapter for an object of class '`Facet`'.
`Adapter` | `createFacetAttributeAdapter()` Creates a new adapter for an object of class '`Attribute`'.
`Adapter` | `createFacetReferenceAdapter()` Creates a new adapter for an object of class '`Reference`'.
`Adapter` | `createFacetSetAdapter()` Creates a new adapter for an object of class '`Set`'.
`Adapter` | `createFacetStructuralFeatureAdapter()` Creates a new adapter for an object of class '`Structural Feature`'.
`Adapter` | `createShortcutAdapter()` Creates a new adapter for an object of class '`Shortcut`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacetAdapterFactory

    public FacetAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createFacetAdapter

    public Adapter createFacetAdapter()

  Creates a new adapter for an object of class '`Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Facet`

### createFacetAttributeAdapter

    public Adapter createFacetAttributeAdapter()

  Creates a new adapter for an object of class '`Attribute`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FacetAttribute`

### createFacetReferenceAdapter

    public Adapter createFacetReferenceAdapter()

  Creates a new adapter for an object of class '`Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FacetReference`

### createFacetStructuralFeatureAdapter

    public Adapter createFacetStructuralFeatureAdapter()

  Creates a new adapter for an object of class '`Structural Feature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FacetStructuralFeature`

### createFacetSetAdapter

    public Adapter createFacetSetAdapter()

  Creates a new adapter for an object of class '`Set`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FacetSet`

### createShortcutAdapter

    public Adapter createShortcutAdapter()

  Creates a new adapter for an object of class '`Shortcut`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Shortcut`

### createEModelElementAdapter

    public Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EModelElement`

### createENamedElementAdapter

    public Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.ENamedElement`

### createEClassifierAdapter

    public Adapter createEClassifierAdapter()

  Creates a new adapter for an object of class '`EClassifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EClassifier`

### createEClassAdapter

    public Adapter createEClassAdapter()

  Creates a new adapter for an object of class '`EClass`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EClass`

### createETypedElementAdapter

    public Adapter createETypedElementAdapter()

  Creates a new adapter for an object of class '`ETyped Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.ETypedElement`

### createEStructuralFeatureAdapter

    public Adapter createEStructuralFeatureAdapter()

  Creates a new adapter for an object of class '`EStructural Feature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EStructuralFeature`

### createEAttributeAdapter

    public Adapter createEAttributeAdapter()

  Creates a new adapter for an object of class '`EAttribute`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EAttribute`

### createEReferenceAdapter

    public Adapter createEReferenceAdapter()

  Creates a new adapter for an object of class '`EReference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EReference`

### createEPackageAdapter

    public Adapter createEPackageAdapter()

  Creates a new adapter for an object of class '`EPackage`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EPackage`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD